{*
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
*}
{literal}
    <style>

        .link {
            text-decoration: underline
        }

        .ui-widget-content {
            border: none;
        }

        .ui-tabs .ui-tabs-nav {
            padding: 0px;
            background: transparent;
            border: none;
        }

        .ui-tabs .ui-tabs-panel {
            border: 1px solid #aaa;
        }

        .ui-tabs .ui-tabs-nav li.ui-state-active {
            border-bottom: 1px solid #fff !important;
        }

        .ui-tabs .ui-tabs-nav li {
            top: 6px;
        }

        .select2-container, .margined {
            margin-bottom: 10px;
        }

        .token-name-field {
            width: 400px !important;
        }

    </style>
{/literal}

<div class="hr"></div>

<script type="text/javascript">
    {literal}
    $(document).ready(function () {

        var upperFirst = function(str) {
            return str.charAt(0).toUpperCase() + str.slice(1);
        };

        $("#tabs").tabs();

        $(".addtoken").click(function (event) {
            var forModule = $(event.target).parents("p").attr("data-formodule");
            var tokenPlaceHolder = $("span." + forModule + "_hidden").html();
            $("#" + forModule + "_tokens").append("<p>" + tokenPlaceHolder + "<input onclick=\"removeToken(this)\" title=\"Remove\" class=\"button remove_token\" type=\"button\" name=\"remove_button\" value=\"Remove\"></p>").find("input.addtoken").remove();

            // triggering change event for last added token field to generate token name.
            $("#" + forModule + "_tokens").find('select').last().trigger('change');
        });

        $('.add-all-tokens').on('click', function (event) {
            var forModule = $(event.target).parents("p").attr("data-formodule");

            var options = $("span." + forModule + "_hidden").find('select').find('option');
            $("#" + forModule + "_tokens").find('p').remove();

            $.each(options, function(key, value) {
                var $value = $(value);
                var tokenPlaceHolder = $("span." + forModule + "_hidden").html();
                $("#" + forModule + "_tokens").append("<p>" + tokenPlaceHolder + "<input onclick=\"removeToken(this)\" title=\"Remove\" class=\"button remove_token\" type=\"button\" name=\"remove_button\" value=\"Remove\"></p>").find("input.addtoken").remove();
                $("#" + forModule + "_tokens").find('select').last().val($value.val()).trigger('change');
            });

        });

        $(".cancel_header").click(function (event) {
            document.location.href='index.php?module=Administration&action=index';
        });

        $("body").on('change', '.field-select', function(event) {
            var val = this.value;
            var forModule = $(event.target).attr("data-formodule");
            var $input = $(event.target).siblings("input[type=text]");
            $input.val(forModule + upperFirst(val));
        })
    });

    function removeToken(el) {
        var elementToRemove = $(el).parents("p");
        $(elementToRemove).remove();
    }

    {/literal}
</script>

<form enctype="multipart/form-data" name="tokenstabs" method="POST" action="index.php" id="tokenstabs">
    {sugar_csrf_form_token}
    <input type="hidden" name="module" value="Administration">
    <input type="hidden" name="action" value="savetokens">

    <div class="margined">
        <h2>Insert Into Pricing Table
            <img border="0"
                 onclick="return SUGAR.util.showHelpTips(this, 'Choose whether to insert your revenue line items or your' +
                  ' quoted line items into a <a href=\'https://www.pandadoc.com/faqs/price-table-content-block-use/\' ' +
                   'target=\'blank\'>PandaDoc Pricing Table.</a>' );"
                 src="themes/RacerX/images/helpInline.png?v=pox0X5QV8GurolKcDKGxgA"
                 alt="Information"
                 class="inlineHelpTip" />
        </h2>
        <input type="radio" name="inject" value="rli" {if $INJECT === 'rli'}checked="checked"{/if}/> Revenue Line Items
        <input type="radio" name="inject" value="qli" {if $INJECT === 'qli'}checked="checked"{/if}/> Quoted Line Items
    </div>

    <div class="margined">
        <input type="submit" name="submit" value="Save" class="button primary"/>
        <input title="Cancel" id="CANCEL_HEADER" accesskey="l" class="button cancel_header" type="button" name="button"
               value="Cancel">
    </div>

    <br/>

    <div>
       <h2>Enable Modules</h2>
        <select name="allowed_modules[]" multiple="multiple" class="allowed-modules-select" style="width: 25%">
        {foreach from=$MODULES key=k item=v}
            <option value="{$v}"
                    {if in_array($v, $ALLOWED_MODULES)}selected{/if}
                    {if in_array($v, $DEFAULT_MODULES)}locked="locked"{/if}
            />{sugar_translate value=$v}</option>
        {/foreach}
        </select>
    </div>

    <div>
        <input type="submit" name="submit" value="Enable" class="button primary"/>
        <input title="Cancel" id="CANCEL_HEADER" accesskey="l" class="button cancel_header" type="button" name="button"
               value="Cancel">
    </div>

    <div id="tabs">
        <ul>
            {foreach from=$ALLOWED_MODULES key=k item=v}
                <li><a href="#tabs-{$k}">{sugar_translate value=$v}</a></li>
            {/foreach}
        </ul>

        {foreach from=$ALLOWED_MODULES key=k item=v}
            <div id="tabs-{$k}">
                <h2 style="margin-bottom: 20px">{sugar_translate value=$v} Tokens</h2>
                <div id="{sugar_translate underscored=true value=$v}_tokens" style="margin-bottom: 20px;">
                    {foreach from=$TOKENS key=token item=value}
                        {if $token eq $v}
                            {foreach key=tokenName item=tokenField from=$value}
                                <p><input type="text" class="token-name-field"
                                          name="tokens[{$v}][]" value="{$tokenName}"/>
                                    <select name="fields[{$v}][]">
                                        {foreach item=fieldName from=$MOD_FIELDS.$v}
                                            <option value="{$fieldName}"
                                            {if $tokenField eq $fieldName}
                                                selected = "selected"
                                            {/if}
                                            >{$fieldName}</option>
                                        {/foreach}
                                    </select>
                                    <input title="Remove" class="button remove_token" type="button" name="button" onclick="removeToken(this)"
                                           value="Remove">
                                </p>
                            {/foreach}
                        {/if}
                    {/foreach}
                </div>

                <p class="{$v}_newToken" data-formodule="{sugar_translate underscored=true value=$v}">
                    <span class="{sugar_translate underscored=true value=$v}_hidden" style="display:none">
                        <input type="text" name="tokens[{$v}][]" value="" class="token-name-field"/>
                        <select name="fields[{$v}][]" class="field-select"
                                data-formodule="{sugar_translate underscored=true value=$v}">
                            {foreach item=fieldName from=$MOD_FIELDS.$v}
                                <option value="{$fieldName}">{$fieldName}</option>
                            {/foreach}
                        </select>
                    </span>
                    <input type="button" class="button primary addtoken" value="Add New"/>
                    <input type="button" class="button primary add-all-tokens" value="Add All Fields As Tokens"/>
                </p>
            </div>
        {/foreach}
    </div>

    <div style="margin-top: 10px;">
        <input type="submit" name="submit" value="Save" class="button primary"/>
        <input title="Cancel" id="CANCEL_HEADER" accesskey="l" class="button cancel_header" type="button" name="button"
               value="Cancel">
    </div>
</form>


